Какой минимальный уровень android api требуется при подключении к базе данных oracle с помощью jdbs14.jar

Я разрабатываю приложение для Android и хочу подключиться к базе данных Oracle с помощью JDBC14.jar. когда я создаю приложение, оно работает очень эффективно на уровне API 23. но он не получает данные, когда я запускаю его на уровне Api 19. так какой минимальный уровень API требуется для JDBC14.jar? И какой уровень JDBC совместим с уровнем API Android 19.

Вам следует нет получить доступ к системе базы данных непосредственно с устройства Android, это будет небезопасно и, вероятно, будет плохо работать в мобильных сетях. Используйте веб-службу REST (или другую форму веб-службы) в качестве посредника между вашим приложением Android и базой данных.

Mark Rotteveel 11.04.2018 15:08

Спасибо ! но я разработал половину своего приложения, если я перейду на веб-службу, мне нужно много изменить. это также займет много времени. любезно предложите мне решение с заданными условиями. JDBC14 не работает на более низких уровнях API, таких как 16,19 и т. Д., Он хорошо работает на уровне API 25.

Rizwan Ansar 12.04.2018 08:20

любезно предоставьте некоторый вспомогательный материал для создания веб-службы REST.

Rizwan Ansar 12.04.2018 08:23

В Интернете полно ресурсов по созданию веб-сервисов REST.

Mark Rotteveel 12.04.2018 09:29
0
4
46
0

Другие вопросы по теме